Apache log4cxx Version @version@

Public Types | Public Member Functions | List of all members
LevelRangeFilter Class Reference

This is a very simple filter based on level matching, which can be used to reject messages with priorities outside a certain range. More...

`#include <levelrangefilter.h>`

Inheritance diagram for LevelRangeFilter:

## Public Types
typedef spi::Filter | BASE_CLASS
Public Types inherited from Filter
enum | FilterDecision { DENY = -1 , NEUTRAL = 0 , ACCEPT = 1 }

## Public Member Functions
| LevelRangeFilter ()
virtual void | setOption (const LogString &option, const LogString &value)
| Set options. More...
void | setLevelMin (const LevelPtr &levelMin1)
| Set the `LevelMin` option. More...
const LevelPtr & | getLevelMin () const
| Get the value of the `LevelMin` option. More...
void | setLevelMax (const LevelPtr &levelMax1)
| Set the `LevelMax` option. More...
const LevelPtr & | getLevelMax () const
| Get the value of the `LevelMax` option. More...
void | setAcceptOnMatch (bool acceptOnMatch1)
| Set the `AcceptOnMatch` option. More...
bool | getAcceptOnMatch () const
| Get the value of the `AcceptOnMatch` option. More...
FilterDecision | decide (const spi::LoggingEventPtr &event) const
| Return the decision of this filter. More...
Public Member Functions inherited from Filter
| Filter ()
void | addRef () const
void | releaseRef () const
log4cxx::spi::FilterPtr | getNext () const
void | setNext (const log4cxx::spi::FilterPtr &newNext)
void | activateOptions (log4cxx::helpers::Pool &p)
| Usually filters options become active when set. More...
void | setOption (const LogString &option, const LogString &value)
| Set `option` to `value`. More...
virtual FilterDecision | decide (const LoggingEventPtr &event) const =0
Public Member Functions inherited from OptionHandler
virtual | ~OptionHandler ()
virtual void | activateOptions (log4cxx::helpers::Pool &p)=0
| Activate the options that were previously set with calls to option setters. More...
virtual void | setOption (const LogString &option, const LogString &value)=0
| Set `option` to `value`. More...
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual void | addRef () const =0
virtual void | releaseRef () const =0
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const

## Additional Inherited Members
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

This is a very simple filter based on level matching, which can be used to reject messages with priorities outside a certain range.

The filter admits three options LevelMin, LevelMax and AcceptOnMatch.

If the level of the `LoggingEvent` is not between Min and Max (inclusive), then `DENY` is returned.

If the Logging event level is within the specified range, then if AcceptOnMatch is true, `ACCEPT` is returned, and if AcceptOnMatch is false, `NEUTRAL` is returned.

If `LevelMin`w is not defined, then there is no minimum acceptable level (ie a level is never rejected for being too "low"/unimportant). If `LevelMax` is not defined, then there is no maximum acceptable level (ie a level is never rejected for beeing too "high"/important).

Refer to the `setThreshold` method available to `all` appenders extending AppenderSkeleton for a more convenient way to filter out events by level.

## Member Typedef Documentation

## ◆ BASE_CLASS

typedef spi::Filter BASE_CLASS

## Constructor & Destructor Documentation

## ◆ LevelRangeFilter()

LevelRangeFilter | ( |  | ) |

## Member Function Documentation

## ◆ decide()

FilterDecision decide | ( | const spi::LoggingEventPtr & | event | ) | const
| virtual

Return the decision of this filter.

Returns `NEUTRAL` if the LevelToMatch option is not set or if there is not match. Otherwise, if there is a match, then the returned decision is `ACCEPT` if the AcceptOnMatch property is set to `true`. The returned decision is `DENY` if the AcceptOnMatch property is set to false.

Implements Filter.

## ◆ getAcceptOnMatch()

bool getAcceptOnMatch | ( |  | ) | const
| inline

Get the value of the `AcceptOnMatch` option.

## ◆ getLevelMax()

const LevelPtr & getLevelMax | ( |  | ) | const
| inline

Get the value of the `LevelMax` option.

## ◆ getLevelMin()

const LevelPtr & getLevelMin | ( |  | ) | const
| inline

Get the value of the `LevelMin` option.

## ◆ setAcceptOnMatch()

void setAcceptOnMatch | ( | bool | acceptOnMatch1 | ) |
| inline

Set the `AcceptOnMatch` option.

## ◆ setLevelMax()

void setLevelMax | ( | const LevelPtr & | levelMax1 | ) |
| inline

Set the `LevelMax` option.

## ◆ setLevelMin()

void setLevelMin | ( | const LevelPtr & | levelMin1 | ) |
| inline

Set the `LevelMin` option.

## ◆ setOption()

virtual void setOption | ( | const LogString & | option,
|  | const LogString & | value
| ) |  |
| virtual

Set options.

Implements OptionHandler.

The documentation for this class was generated from the following file:

- levelrangefilter.h